Package owl.translations.ltl2dpa

## Class LTL2DPAFunction

- java.lang.Object
- - owl.translations.ltl2dpa.LTL2DPAFunction

- All Implemented Interfaces:
    `Function<LabelledFormula,Automaton<?,ParityAcceptance>>`

      public class LTL2DPAFunction
      extends Object
      implements Function<LabelledFormula,Automaton<?,ParityAcceptance>>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `LTL2DPAFunction.Configuration` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Set<LTL2DPAFunction.Configuration>` | `RECOMMENDED_ASYMMETRIC_CONFIG` |
    `static Set<LTL2DPAFunction.Configuration>` | `RECOMMENDED_SYMMETRIC_CONFIG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LTL2DPAFunction​(Environment env, Set<LTL2DPAFunction.Configuration> configuration)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Automaton<?,ParityAcceptance>` | `apply​(LabelledFormula formula)` |

    - ### Methods inherited from interface java.util.function.Function

      `andThen, compose`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### RECOMMENDED_ASYMMETRIC_CONFIG

          public static final Set<LTL2DPAFunction.Configuration> RECOMMENDED_ASYMMETRIC_CONFIG

    - #### RECOMMENDED_SYMMETRIC_CONFIG

          public static final Set<LTL2DPAFunction.Configuration> RECOMMENDED_SYMMETRIC_CONFIG

  - ### Constructor Detail

    - #### LTL2DPAFunction

          public LTL2DPAFunction​(Environment env,
                                 Set<LTL2DPAFunction.Configuration> configuration)

  - ### Method Detail

    - #### apply

          public Automaton<?,ParityAcceptance> apply​(LabelledFormula formula)

      Specified by:
        `apply` in interface `Function<LabelledFormula,Automaton<?,ParityAcceptance>>`